#ifndef __MODELAPI_H__
#define __MODELAPI_H__

typedef struct
{
  float x,y,z;
} fVertex3d;

typedef struct
{
  int x,y,z;
} iVertex3d;

#pragma pack(1)
typedef struct
{
  unsigned short a,b,c;
} Triangle;
#pragma pack;

typedef struct
{
  float u, v;
} TextureCoord;



void InitModeller();
void NewObj();
void AddVertex(float x, float y, float z);
void AddPolygon(int a, int b, int c);
void AddUV(float u, float v);
int  CalcAllNormals(int Progress);
void CenterObjects(int Flag);
int  SaveGVO(char *Filename, int Scale, int Fixed, int TCF);
int  VerifySize();

#endif
